Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.threads
Class ReaderWriterLock

    java.lang.Object
      org.jfree.threads.ReaderWriterLock

    public class ReaderWriterLock

extends java.lang.Object

A reader-writer lock from "Java Threads" by Scott Oak and Henry Wong.

Author:
  Scott Oak and Henry Wong

Constructor Summary
`ReaderWriterLock()` Default constructor.

Method Summary
`void` | `lockRead()` Grab the read lock.
`void` | `lockWrite()` Grab the write lock.
`void` | `unlock()` Unlock.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReaderWriterLock

    public ReaderWriterLock()

  Default constructor.

Method Detail

### lockRead

    public void lockRead()

  Grab the read lock.

### lockWrite

    public void lockWrite()

  Grab the write lock.

### unlock

    public void unlock()

  Unlock.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD